跳到主要内容

删除按需集群 (V2)

公测版

Delete an on-demand cluster in the current project.

DELETE/v2/clusters/onDemandClusters/{CLUSTER_ID}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

示例值:application/json
CLUSTER_IDstringpath必填项

当前操作的目标集群。

示例值:inxx-xxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应

返回已删除的集群 ID。

codeinteger

响应码。

dataobject

响应负载。

clusterIdstring

已删除的集群 ID。

promptstring

返回的提示信息。

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "The cluster has been deleted. If you consider this action to be an error, you have the option to restore the deleted cluster from the recycle bin within a 30-day period. Kindly note, this recovery feature does not apply to free clusters."
}
}
Ctrl I